Package com.independentsoft.office.odf

# Class ChangedRegion

java.lang.Object
com.independentsoft.office.odf.ChangedRegion

All Implemented Interfaces:
  `IContentElement`

public class ChangedRegion extends Object implements IContentElement
Represents a list of tracked changes for any changed region of a document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangedRegion()`
  Initializes a new instance of the ChangedRegion class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Deletion deletion)`
  Adds a Deletion object to the content.
  `void`
  `add​(FormatChange formatChange)`
  Adds a FormatChange object to the content.
  `void`
  `add​(IChangedRegionContent change)`
  Adds an IChangedRegionContent object to the content.
  `void`
  `add​(Insertion insertion)`
  Adds a Insertion object to the content.
  `ChangedRegion`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IChangedRegionContent>`
  `getContent()`
  Contains a collection of IChangedRegionContent objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getID()`
  Gets the identifier.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setID​(String id)`
  Sets the identifier.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current ChangedRegion object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangedRegion

    public ChangedRegion()
    Initializes a new instance of the ChangedRegion class.

- ## Method Details

  - ### add

    public void add​(Deletion deletion)
    Adds a Deletion object to the content.
    Parameters:
      `deletion` - the deletion

  - ### add

    public void add​(Insertion insertion)
    Adds a Insertion object to the content.
    Parameters:
      `insertion` - the insertion

  - ### add

    public void add​(FormatChange formatChange)
    Adds a FormatChange object to the content.
    Parameters:
      `formatChange` - the format change

  - ### add

    public void add​(IChangedRegionContent change)
    Adds an IChangedRegionContent object to the content.
    Parameters:
      `change` - the change

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ChangedRegion clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChangedRegion object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IChangedRegionContent> getContent()
    Contains a collection of IChangedRegionContent objects.
    Returns:
      the content

  - ### getID

    public String getID()
    Gets the identifier.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the identifier.
    Parameters:
      `id` - the new id